## placement 10.0.0

=== debian/changelog ===
placement (1:10.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 09:21:46 -0400

placement (1:9.0.0+git2023090714.5ce84158-0ubuntu1) mantic; urgency=medium

  * New upstream snapshot for OpenStack Bobcat.
  * d/p/install-missing-db-files.patch: Install missing db files, including
    placement/db/sqlalchemy/alembic.ini.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Sep 2023 14:45:35 -0400

=== debian/control ===
Source: placement
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders:
 Corey Bryant <corey.bryant@canonical.com>,
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 lsb-release,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 3.1.1),
 python3-setuptools (>= 16.0),
 python3-sphinx (>= 2.0.0),
 python3-sphinx-feature-classification (>= 0.2.0),
 python3-sphinxcontrib.actdiag (>= 0.8.5),
 python3-sphinxcontrib.seqdiag (>= 0.8.4),
Build-Depends-Indep:
 crudini,
 python3-bandit (>= 1.1.0),
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.7),
 python3-fixtures (>= 3.0.0),
 python3-gabbi (>= 1.35.0),
 python3-hacking,
 python3-jsonschema (>= 3.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-microversion-parse (>= 0.2.1),
 python3-mock (>= 2.0.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-resource-classes (>= 1.1.0),
 python3-os-traits (>= 3.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 8.6.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.5.0),
 python3-osprofiler (>= 1.4.0),
 python3-pkg-resources (>= 21.0.0),
 python3-psycopg2 (>= 2.8),
 python3-pymysql (>= 0.8.0),
 python3-reno,
 python3-requests (>= 2.25.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-stestr (>= 1.0.0),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.8.2),
 python3-wsgi-intercept (>= 1.7.0),
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/placement
Homepage: https://opendev.org/openstack/placement
Testsuite: autopkgtest-pkg-python

Package: placement-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 libjs-jquery,
Description: OpenStack Placement - documentation
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package provides the placement documentation.

Package: placement-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-placement (= ${source:Version}),
 ${misc:Depends},
Description: OpenStack Placement - API
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package provides the placement API frontend for managing resource
 providers.

Package: python3-placement
Architecture: all
Section: python
Depends:
 placement-common (= ${source:Version}),
 python3-jsonschema (>= 3.2.0),
 python3-keystonemiddleware (>= 4.18.0),
 python3-microversion-parse (>= 0.2.1),
 python3-os-resource-classes (>= 1.1.0),
 python3-os-traits (>= 3.0.0),
 python3-oslo.concurrency (>= 3.26.0),
 python3-oslo.config (>= 1:6.7.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 8.6.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.7.0),
 python3-oslo.serialization (>= 2.25.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.5.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 3.1.1),
 python3-pkg-resources (>= 21.0.0),
 python3-requests (>= 2.25.0),
 python3-routes (>= 2.3.1),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.4.0),
 python3-webob (>= 1:1.8.2),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Placement - Python 3 libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package contains the Python 3 placement libraries.

Package: placement-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Description: OpenStack Placement - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Placement provides an HTTP service for managing, selecting,
 and claiming providers of classes of inventory representing available
 resources in a cloud.
 .
 This package contains common files.

## placement 10.0.1

=== debian/changelog ===
placement (10.0.1-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add patches:
    - Reproduce_bug_2104040_allocate_in_over-capacity.patch
    - Fix_placement_allocate_while_over-capacity.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 21 Oct 2025 12:49:20 +0000

placement (10.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 30 Sep 2025 16:01:39 +0200

placement (10.0.0-3) unstable; urgency=medium

  * Add sqla2.0-db_Wrap_raw_SQL_query_in_sqlalchemy.text.patch.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Nov 2023 17:27:50 +0100

placement (10.0.0-2) unstable; urgency=medium

  * Added missing oslo.middleware.http_proxy_to_wsgi namespace when generating
    placement.conf.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Oct 2023 15:47:06 +0200

placement (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Oct 2023 11:13:44 +0200

placement (10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 16 Sep 2023 11:03:08 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

PLACEMENT_CONF=$(CURDIR)/debian/placement-common/usr/share/placement-common/placement.conf

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/placement-common.config debian/placement-common.postinst debian/placement-common.postrm debian/placement-api.config debian/placement-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build doc/source/_static/*.sample *.egg-info .stestr debian/po
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm placement-common.postrm
	pkgos-merge-templates placement-api placement endpoint
	pkgos-merge-templates placement-common placement db ksat

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'placement\.tests\.unit\..*'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/placement-common/usr/share/placement-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(PLACEMENT_CONF) \
		--namespace placement.conf \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace osprofiler

	mkdir -p $(CURDIR)/debian/placement-common/etc/placement/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
                --output-file=$(CURDIR)/debian/placement-common/etc/placement/policy.d/00_default_policy.yaml \
                --format yaml \
		--namespace placement

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/placement-common/etc/placement/policy.d/00_default_policy.yaml


	# Comment out deprecated policies, otherwise, Placement doesn't work
	sed -i 's/^"/#"/' $(CURDIR)/debian/placement-common/etc/placement/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/placement-common/usr/share/placement-common/placement.conf oslo_policy policy_dirs /etc/placement/policy.d

	# Fix config default value
	# Add missing options to keystone_authtoken
	pkgos-readd-keystone-authtoken-missing-options $(PLACEMENT_CONF) keystone_authtoken placement
	pkgos-fix-config-default $(PLACEMENT_CONF) DEFAULT pybasedir /usr/lib/python3/dist-packages

	# Add mysql-migrate-db.sh script to package if present
	if [ -e $(CURDIR)/tools/mysql-migrate-db.sh ]; then \
		cp $(CURDIR)/tools/mysql-migrate-db.sh \
		$(CURDIR)/debian/placement-common/usr/share/placement-common/mysql-migrate-db.sh ; \
	fi

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/placement-doc/usr/share/doc/placement-doc/html
	dh_sphinxdoc
endif

#override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
#	dh_installman
#endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## placement 11.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

pbr>=3.1.1 # Apache-2.0
SQLAlchemy>=1.4.0 # MIT
keystonemiddleware>=4.18.0 # Apache-2.0
Routes>=2.3.1 # MIT
WebOb>=1.8.2 # MIT
jsonschema>=3.2.0 # MIT
requests>=2.25.0 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
oslo.concurrency>=3.26.0 # Apache-2.0
oslo.config>=6.7.0 # Apache-2.0
oslo.context>=2.22.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.serialization>=2.25.0 # Apache-2.0
oslo.utils>=4.5.0 # Apache-2.0
oslo.db>=8.6.0 # Apache-2.0
oslo.policy>=3.7.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
# NOTE(efried): Sync lower-constraints.txt for os-traits & os-resource-classes.
os-resource-classes>=1.1.0 # Apache-2.0
os-traits>=3.0.0 # Apache-2.0
microversion-parse>=0.2.1 # Apache-2.0

=== debian/changelog ===
placement (1:11.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 15:32:07 +0100

placement (1:11.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream snapshot for OpenStack Caracal

 -- Jadon Naas <jadon.naas@canonical.com>  Wed, 20 Mar 2024 15:28:11 +0000

placement (1:10.0.0+git2024020611.e10099bd-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control,rules: Use --with sphinxdoc to tidy generated documentation.

 -- James Page <james.page@ubuntu.com>  Tue, 06 Feb 2024 11:50:56 +0000

=== debian/control ===
--- 
+++ 
@@ -71,6 +71,7 @@
 Section: doc
 Depends:
  ${misc:Depends},
+ ${sphinxdoc:Depends},
 Recommends:
  libjs-jquery,
 Description: OpenStack Placement - documentation

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=placement

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with apache2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source doc/build/html
endif

override_dh_install:
	rm -rf $(CURDIR)/debian/python3-placement/usr/etc
	# Fix any api sample template files with broken permissions
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=etc/placement/policy-generator.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/placement/config-generator.conf
	cp etc/placement/placement.conf.sample etc/placement/placement.conf
	cp etc/placement/policy.yaml.sample etc/placement/policy.yaml
	crudini --set $(CURDIR)/etc/placement/placement.conf placement_database connection sqlite:////var/lib/placement/placement.sqlite
	dh_install
	dh_missing --fail-missing

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/placement/ openstack-placement-(\d.*)\.tar\.gz

## placement 11.0.0+git2024080716.c8255d70

=== debian/changelog ===
placement (1:11.0.0+git2024080716.c8255d70-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 13 Aug 2024 21:40:18 +0100

## placement 11.0.1

=== debian/changelog ===
placement (11.0.1-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add patches:
    - Reproduce_bug_2104040_allocate_in_over-capacity.patch
    - Fix_placement_allocate_while_over-capacity.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-caracal.infomaniak.ch>  Tue, 21 Oct 2025 12:13:58 +0000

placement (11.0.1-1) UNRELEASED; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 22 Sep 2025 12:37:58 +0200

placement (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 11:12:22 +0200

placement (11.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Drop sqla2.0-db_Wrap_raw_SQL_query_in_sqlalchemy.text.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Sun, 17 Mar 2024 13:06:36 +0100

## placement 12.0.0~rc1

=== debian/changelog ===
placement (1:12.0.0~rc1-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 14:49:40 +0100

## placement 12.0.0

=== requirements.txt ===
--- 
+++ 
@@ -17,10 +17,10 @@
 oslo.serialization>=2.25.0 # Apache-2.0
 oslo.utils>=4.5.0 # Apache-2.0
 oslo.db>=8.6.0 # Apache-2.0
-oslo.policy>=3.7.0 # Apache-2.0
+oslo.policy>=4.4.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 # NOTE(efried): Sync lower-constraints.txt for os-traits & os-resource-classes.
 os-resource-classes>=1.1.0 # Apache-2.0
-os-traits>=3.0.0 # Apache-2.0
+os-traits>=3.1.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0

=== debian/changelog ===
placement (1:12.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:38:42 +0100

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
  python3-all,
  python3-pbr (>= 3.1.1),
  python3-setuptools (>= 16.0),
- python3-sphinx (>= 2.0.0),
+ python3-sphinx (>= 2.1.1),
  python3-sphinx-feature-classification (>= 0.2.0),
  python3-sphinxcontrib.actdiag (>= 0.8.5),
  python3-sphinxcontrib.seqdiag (>= 0.8.4),
 Build-Depends-Indep:
  crudini,
  python3-bandit (>= 1.1.0),
- python3-coverage (>= 4.0),
+ python3-coverage (>= 4.4.1),
  python3-cryptography (>= 2.7),
  python3-fixtures (>= 3.0.0),
  python3-gabbi (>= 1.35.0),
@@ -34,7 +34,7 @@
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.4.0),
  python3-os-resource-classes (>= 1.1.0),
- python3-os-traits (>= 3.0.0),
+ python3-os-traits (>= 3.1.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:6.7.0),
  python3-oslo.context (>= 1:2.22.0),
@@ -42,7 +42,7 @@
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 4.3.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 3.7.0),
+ python3-oslo.policy (>= 4.4.0),
  python3-oslo.serialization (>= 2.25.0),
  python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslo.utils (>= 4.5.0),
@@ -115,7 +115,7 @@
  python3-keystonemiddleware (>= 4.18.0),
  python3-microversion-parse (>= 0.2.1),
  python3-os-resource-classes (>= 1.1.0),
- python3-os-traits (>= 3.0.0),
+ python3-os-traits (>= 3.1.0),
  python3-oslo.concurrency (>= 3.26.0),
  python3-oslo.config (>= 1:6.7.0),
  python3-oslo.context (>= 1:2.22.0),
@@ -123,7 +123,7 @@
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 4.3.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 3.7.0),
+ python3-oslo.policy (>= 4.4.0),
  python3-oslo.serialization (>= 2.25.0),
  python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslo.utils (>= 4.5.0),

## placement 12.0.0+git2025011510.6aa4b359

=== debian/changelog ===
placement (1:12.0.0+git2025011510.6aa4b359-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Guillaume Boutry ]
  * d/p/fix-argpase-python-3.12.8-change.patch: fix argpase change
  * d/placement-common.install: remove dropped tools
  * d/control: remove unnecessary build dependencies
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Mon, 20 Jan 2025 16:28:01 +0000

=== debian/control ===
--- 
+++ 
@@ -21,8 +21,6 @@
  python3-sphinxcontrib.seqdiag (>= 0.8.4),
 Build-Depends-Indep:
  crudini,
- python3-bandit (>= 1.1.0),
- python3-coverage (>= 4.4.1),
  python3-cryptography (>= 2.7),
  python3-fixtures (>= 3.0.0),
  python3-gabbi (>= 1.35.0),
@@ -30,7 +28,6 @@
  python3-jsonschema (>= 3.2.0),
  python3-keystonemiddleware (>= 4.18.0),
  python3-microversion-parse (>= 0.2.1),
- python3-mock (>= 2.0.0),
  python3-openstackdocstheme (>= 2.2.1),
  python3-os-api-ref (>= 1.4.0),
  python3-os-resource-classes (>= 1.1.0),
@@ -55,7 +52,6 @@
  python3-reno,
  python3-requests (>= 2.25.0),
  python3-routes (>= 2.3.1),
- python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.4.0),
  python3-stestr (>= 1.0.0),
  python3-testtools (>= 2.2.0),
@@ -132,7 +128,6 @@
  python3-pkg-resources (>= 21.0.0),
  python3-requests (>= 2.25.0),
  python3-routes (>= 2.3.1),
- python3-six (>= 1.10.0),
  python3-sqlalchemy (>= 1.4.0),
  python3-webob (>= 1:1.8.2),
  ${misc:Depends},

## placement 12.0.0+git2025030311.476a14dc

=== debian/changelog ===
placement (1:12.0.0+git2025030311.476a14dc-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.
  * Drop patch fix-argparse-python merged into upstream.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 04 Mar 2025 09:24:39 +0000

placement (1:12.0.0+git2025011510.6aa4b359-0ubuntu2) plucky; urgency=medium

  * d/p/series: Drop errant -p0 which is not required or used.

 -- James Page <james.page@ubuntu.com>  Thu, 23 Jan 2025 10:20:34 +0000

## placement 12.0.1

=== debian/changelog ===
placement (12.0.1-2~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Add patches:
    - Reproduce_bug_2104040_allocate_in_over-capacity.patch
    - Fix_placement_allocate_while_over-capacity.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 21 Oct 2025 12:12:30 +0000

placement (12.0.1-1) unstable; urgency=medium

  * New upstream point release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 20 Aug 2025 12:53:57 +0200

placement (12.0.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090460).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 12:07:13 +0100

placement (12.0.0-2) unstable; urgency=medium

  * Add remove-setuptools-from-requirements.txt.patch (Closes: #1083547).
  * Blacklist cmd.test_manage.TestCommandParsers.test_too_many_args.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Nov 2024 10:03:28 +0100

placement (12.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:23:13 +0200

placement (12.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:23:41 +0200

placement (12.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Sep 2024 09:25:37 +0200

=== debian/control ===
Source: placement
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools (>= 123~),
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 bandit,
 python3-alembic,
 python3-coverage,
 python3-fixtures,
 python3-gabbi,
 python3-hacking,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-openstackdocstheme <!nodoc>,
 python3-os-api-ref <!nodoc>,
 python3-os-resource-classes,
 python3-os-traits (>= 3.1.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.4.0),
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslotest <!nodoc>,
 python3-osprofiler <!nodoc>,
 python3-psycopg2,
 python3-pymysql,
 python3-requests,
 python3-routes,
 python3-sphinx-feature-classification <!nodoc>,
 python3-sphinxcontrib.actdiag <!nodoc>,
 python3-sphinxcontrib.seqdiag <!nodoc>,
 python3-sqlalchemy,
 python3-stestr,
 python3-testtools,
 python3-webob,
 python3-wsgi-intercept,
 subunit,
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/placement
Vcs-Git: https://salsa.debian.org/openstack-team/services/placement.git
Homepage: https://github.com/openstack/placement

Package: placement-api
Architecture: all
Depends:
 adduser,
 debconf,
 placement-common (= ${source:Version}),
 python3-keystoneclient,
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-osc-placement,
Description: OpenStack resource inventory Placement - API server
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the Placement API server.

Package: placement-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-placement (= ${source:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack resource inventory Placement - common files
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains common files for OpenStack Placement.

Package: placement-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack resource inventory Placement - Documentation
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the documentation.

Package: python3-placement
Architecture: all
Section: python
Depends:
 alembic,
 python3-jsonschema,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-os-resource-classes,
 python3-os-traits (>= 3.1.0),
 python3-oslo.concurrency,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.log,
 python3-oslo.middleware,
 python3-oslo.policy (>= 4.4.0),
 python3-oslo.serialization,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-pbr,
 python3-requests,
 python3-routes,
 python3-sqlalchemy,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Provides:
 ${python3:Provides},
Description: OpenStack resource inventory Placement - Python library
 OpenStack Placement provides an HTTP service for managing, selecting, and
 claiming providers of classes of inventory representing available resources
 in a cloud.
 .
 This package contains the Python libraries.

## placement 12.0.2

=== debian/changelog ===
placement (12.0.2-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-dalmatian.debian.net>  Tue, 03 Feb 2026 15:08:28 +0000

placement (12.0.1-2) UNRELEASED; urgency=medium

  * Add patches:
    - Reproduce_bug_2104040_allocate_in_over-capacity.patch
    - Fix_placement_allocate_while_over-capacity.patch

 -- Thomas Goirand <zigo@debian.org>  Tue, 21 Oct 2025 14:11:28 +0200

## placement 13.0.0~rc1

=== debian/changelog ===
placement (13.0.0~rc1-2~bpo12+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-epoxy.debian.net>  Fri, 28 Mar 2025 20:06:38 +0000

placement (13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 21:04:10 +0100

placement (13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed remove-setuptools-from-requirements.txt.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 18:48:00 +0100

## placement 13.0.0

=== debian/changelog ===
placement (1:13.0.0-0ubuntu1) plucky; urgency=medium

  [ Guillaume Boutry ]
  * d/watch: Track Epoxy series releases.

  [ Myles Penner ]
  * New upstream release for OpenStack Epoxy.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 03 Apr 2025 09:10:49 -0700

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/placement/ openstack_placement-(13\.\d.*)\.tar\.gz

## placement 13.0.0+git2025070709.ce677d96

=== debian/changelog ===
placement (1:13.0.0+git2025070709.ce677d96-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 21 Jul 2025 15:35:13 -0700

## placement 14.0.0~rc1

=== debian/changelog ===
placement (14.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 09:07:10 +0000

placement (14.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 10:43:05 +0200

placement (14.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Sep 2025 22:29:28 +0200

placement (13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:25:57 +0200

## placement 14.0.0

=== requirements.txt ===
--- 
+++ 
@@ -9,7 +9,6 @@
 WebOb>=1.8.2 # MIT
 jsonschema>=3.2.0 # MIT
 requests>=2.25.0 # Apache-2.0
-setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL
 oslo.concurrency>=3.26.0 # Apache-2.0
 oslo.config>=6.7.0 # Apache-2.0
 oslo.context>=2.22.0 # Apache-2.0
@@ -22,5 +21,5 @@
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 # NOTE(efried): Sync lower-constraints.txt for os-traits & os-resource-classes.
 os-resource-classes>=1.1.0 # Apache-2.0
-os-traits>=3.1.0 # Apache-2.0
+os-traits>=3.3.0 # Apache-2.0
 microversion-parse>=0.2.1 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.1.1 # BSD
sphinxcontrib-actdiag>=0.8.5 # BSD
sphinxcontrib-seqdiag>=0.8.4 # BSD
sphinx-feature-classification>=0.2.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=2.2.1 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

# redirect tests in docs
whereto>=0.3.0 # Apache-2.0

# needed to generate osprofiler config options
osprofiler>=1.4.0 # Apache-2.0

=== debian/changelog ===
placement (14.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 22:37:00 +0200

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  python3-openstackdocstheme <!nodoc>,
  python3-os-api-ref <!nodoc>,
  python3-os-resource-classes,
- python3-os-traits (>= 3.1.0),
+ python3-os-traits (>= 3.3.0),
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,
@@ -119,7 +119,7 @@
  python3-keystonemiddleware,
  python3-microversion-parse,
  python3-os-resource-classes,
- python3-os-traits (>= 3.1.0),
+ python3-os-traits (>= 3.3.0),
  python3-oslo.concurrency,
  python3-oslo.config,
  python3-oslo.context,

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

PLACEMENT_CONF=$(CURDIR)/debian/placement-common/usr/share/placement-common/placement.conf

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/placement-common.config debian/placement-common.postinst debian/placement-common.postrm debian/placement-api.config debian/placement-api.postinst
	rm -f debian/*.init debian/*.upstart debian/*.service debian/*.templates
	rm -rf build doc/source/_static/*.sample *.egg-info .stestr debian/po
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func placement-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm placement-common.postrm
	pkgos-merge-templates placement-api placement endpoint
	pkgos-merge-templates placement-common placement db ksat

override_dh_install:
	pkgos-dh_auto_install --no-py2 --in-tmp

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'placement\.tests\.unit\.(?!cmd\.test_manage\.TestCommandParsers\.test_too_many_args)'
endif

	# Generate all config files
	mkdir -p $(CURDIR)/debian/placement-common/usr/share/placement-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(PLACEMENT_CONF) \
		--namespace placement.conf \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace osprofiler

	mkdir -p $(CURDIR)/debian/placement-common/etc/placement/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
                --output-file=$(CURDIR)/debian/placement-common/etc/placement/policy.d/00_default_policy.yaml \
                --format yaml \
		--namespace placement

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/placement-common/etc/placement/policy.d/00_default_policy.yaml


	# Comment out deprecated policies, otherwise, Placement doesn't work
	sed -i 's/^"/#"/' $(CURDIR)/debian/placement-common/etc/placement/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/placement-common/usr/share/placement-common/placement.conf oslo_policy policy_dirs /etc/placement/policy.d

	# Fix config default value
	# Add missing options to keystone_authtoken
	pkgos-readd-keystone-authtoken-missing-options $(PLACEMENT_CONF) keystone_authtoken placement
	pkgos-fix-config-default $(PLACEMENT_CONF) DEFAULT pybasedir /usr/lib/python3/dist-packages

	# Add mysql-migrate-db.sh script to package if present
	if [ -e $(CURDIR)/tools/mysql-migrate-db.sh ]; then \
		cp $(CURDIR)/tools/mysql-migrate-db.sh \
		$(CURDIR)/debian/placement-common/usr/share/placement-common/mysql-migrate-db.sh ; \
	fi

	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_install
	dh_missing --fail-missing

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/placement-doc/usr/share/doc/placement-doc/html
	dh_sphinxdoc
endif

#override_dh_installman:
#ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
#	python3 -m sphinx $(SPHINXOPTS) -b man doc/source doc/build/man
#	dh_installman
#endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/placement/tags .*/(\d[brc\d\.]+)\.tar\.gz

## placement 14.0.0+git20260116.35.cd24dcb5

=== debian/changelog ===
placement (1:14.0.0+git20260116.35.cd24dcb5-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * New upstream version 14.0.0+git20260116.35.cd24dcb5
  * d/patches/*: refresh patches
  * New upstream snapshot from cd24dcb5caae151e668cd5ea562704c4c60b5f08
    for OpenStack Gazpacho. (LP: #2137590)
  * d/p/install-missing-files.patch: Extend patch.
  * d/placement-api, placement-api.install: Create custom WSGI script as upstream
    removed the placement-api WSGI script in favour of the Python module approach.
  * d/rules: Install placement-api WSGI script.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 20 Jan 2026 17:49:40 -0800

placement (1:14.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 14:02:13 +0200

placement (1:14.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 10:25:52 -0700

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=placement

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with apache2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b man doc/source doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b html doc/source doc/build/html
endif

override_dh_install:
	rm -rf $(CURDIR)/debian/python3-placement/usr/etc
	# Fix any api sample template files with broken permissions
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=etc/placement/policy-generator.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/placement/config-generator.conf
	cp etc/placement/placement.conf.sample etc/placement/placement.conf
	cp etc/placement/policy.yaml.sample etc/placement/policy.yaml
	crudini --set $(CURDIR)/etc/placement/placement.conf placement_database connection sqlite:////var/lib/placement/placement.sqlite
	dh_install
	# Install placement-api WSGI script (upstream removed wsgi_scripts entry point)
	install -D -m 0755 $(CURDIR)/debian/placement-api.wsgi $(CURDIR)/debian/placement-api/usr/bin/placement-api
	dh_missing --fail-missing

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/placement/ openstack_placement-(\d{1,2}\.\d.*)\.tar\.gz
